Search Unity

Version detection/mismatch issues.

Discussion in 'Unity Hub' started by chasepettit, Jan 24, 2018.

  1. chasepettit

    chasepettit

    Joined:
    Oct 23, 2012
    Posts:
    42
    Unity Hub doesn't seem to be able to correctly match up Unity install version numbers with the version numbers indicated by a project. When I open any project, Unity Hub displays a "You don't have this Unity version on your machine" warning regardless of the fact that I've been actively working on these projects with versions of Unity that are currently installed.

    For instance, I have some projects that I've been working on in Unity 5.6.1f1 and Unity 2017.3.0f3. When I add these to Unity Hub's install list, they appear as Unity 5.6.1.24755 and Unity 2017.3.0.63597 respectively. When I try to open a project that shows a Unity version of 5.6.1f1 or 2017.3.0f3, they always throw the "You don't have this Unity version on your machine" warning.

    This is on Windows 10.
     
    Last edited: Jan 24, 2018
  2. Brathnann

    Brathnann

    Joined:
    Aug 12, 2014
    Posts:
    6,315
  3. chasepettit

    chasepettit

    Joined:
    Oct 23, 2012
    Posts:
    42
    This is on Windows 10.

    Apologies to staff/mods for the duplicate topic. I guess the other one popped up as I was in the process of creating this one.
     
  4. charlesb_rm

    charlesb_rm

    Unity Technologies

    Joined:
    Jan 18, 2017
    Posts:
    485
    The team is looking into the issue. Thanks for your feedback.
     
unityunity